## org.eclipse.emf.mapping.presentation
Class MappingEditor.ActionBarContributor

    java.lang.Object
      org.eclipse.ui.part.EditorActionBarContributor
          org.eclipse.ui.part.MultiPageEditorActionBarContributor
              org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
                  org.eclipse.emf.mapping.presentation.MappingEditor.ActionBarContributor

All Implemented Interfaces:
  IMenuListener, IEditorActionBarContributor, IPropertyListener

Enclosing class:
  MappingEditor

    public static class MappingEditor.ActionBarContributor

extends EditingDomainActionBarContributor

This is the contributor for the mapping editor.

Field Summary
`protected DelegatingCommandAction` `createMappingAction`
`protected DelegatingCommandAction` `createOneSidedMappingAction`
`protected DelegatingCommandAction` `nameMatchMappingAction`
`protected DelegatingCommandAction` `removeMappingAction`
`protected DelegatingCommandAction` `typeMatchMappingAction`

Fields inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activeEditor, ADDITIONS_LAST_STYLE, controlAction, copyAction, cutAction, deleteAction, loadResourceAction, pasteAction, redoAction, style, undoAction, validateAction`

Constructor Summary
`MappingEditor.ActionBarContributor()` This creates an instance the contributor.

Method Summary
`void` `contributeToToolBar(IToolBarManager toolBarManager)`
`void` `setActiveEditor(IEditorPart part)`

Methods inherited from class org.eclipse.emf.edit.ui.action.EditingDomainActionBarContributor
`activate, addGlobalActions, contributeToMenu, contributeToStatusLine, deactivate, getActiveEditor, init, menuAboutToShow, propertyChanged, removeAllReferencesOnDelete, setActivePage, setActiveView, shareGlobalActions, update`

Methods inherited from class org.eclipse.ui.part.EditorActionBarContributor
`contributeToCoolBar, dispose, getActionBars, getPage, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### removeMappingAction

    protected DelegatingCommandAction removeMappingAction

### createMappingAction

    protected DelegatingCommandAction createMappingAction

### createOneSidedMappingAction

    protected DelegatingCommandAction createOneSidedMappingAction

### nameMatchMappingAction

    protected DelegatingCommandAction nameMatchMappingAction

### typeMatchMappingAction

    protected DelegatingCommandAction typeMatchMappingAction

Constructor Detail

### MappingEditor.ActionBarContributor

    public MappingEditor.ActionBarContributor()

  This creates an instance the contributor.

Method Detail

### setActiveEditor

    public void setActiveEditor(IEditorPart part)

  Specified by:
    `setActiveEditor` in interface `IEditorActionBarContributor`
  Overrides:
    `setActiveEditor` in class `EditingDomainActionBarContributor`

### contributeToToolBar

    public void contributeToToolBar(IToolBarManager toolBarManager)

  Overrides:
    `contributeToToolBar` in class `EditingDomainActionBarContributor`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.